﻿

/* Intro.js size */
.introjs-tooltip {
    /*min-width: 400px !important;
    min-width: 500px !important;*/
    max-width: 500px !important;
    /*max-height: 100% !important;*/
}

.introjs-tooltip {
    background-color: #fcfbe8 !important; /* Change to your desired background color */
    /*color: #333 !important;*/ /* Optionally, change the text color */
}

/* To display the image when using suggester */
.ui-autocomplete-loading {
    background: url(http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.2/themes/smoothness/images/ui-anim_basic_16x16.gif) no-repeat right center
}

ul.ui-front {
    z-index: 10000 !important;
    max-height: 300px;
    overflow-y: scroll;
}

.bi-eye {
    animation: flash 1s infinite;
}

@keyframes flash {
    0% {
        opacity: 1;
    }

    50% {
        opacity: 0.4;
    }

    100% {
        opacity: 1;
    }
}

.move-up {
    position: relative;
    top: -5px; /* Adjust the value as needed */
}

#map {
    height: 180px;
}

/* Add cursor: pointer to the links */
#locationResults a {
    cursor: pointer;
}

/* Style for the selected location from the Nominatim response */
.selected-location {
    font-weight: bold; 
    text-decoration: none; 
    color: black; 
}

#cartButtonContainer {
    z-index: 40; /* Para que esté por encima de la mayoría de los elementos */
    top: 100px !important;
}

/*@keyframes flash {
    0% {
        background-color: #ffc107;
    }

    50% {
        background-color: #fff3cd;
    }

    100% {
        background-color: #ffc107;
    }
}*/

.cart-flash {
    animation: flash 1s ease-in-out;
}

.btn-xs {
    padding: 0.15rem 0.5rem !important;
    font-size: 0.75rem;
    line-height: 1;
}